Bug 1166634 (CVE-2014-8960) - CVE-2014-8960 phpMyAdmin: XSS vulnerability in error reporting functionality (PMASA-2014-15)
Summary: CVE-2014-8960 phpMyAdmin: XSS vulnerability in error reporting functionality ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8960
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1166635 1166636
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-21 11:36 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:24 UTC (History)
3 users (show)

Fixed In Version: phpMyAdmin 4.2.12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 14:54:47 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-11-21 11:36:12 UTC
It was reported [1] that with a crafted file name it is possible to trigger an XSS in the error reporting page. 

[1]: http://www.phpmyadmin.net/home_page/security/PMASA-2014-15.php

Comment 1 Vasyl Kaigorodov 2014-11-21 11:36:34 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1166635]
Affects: epel-7 [bug 1166636]

Comment 2 Fedora Update System 2014-11-30 19:11:07 UTC
phpMyAdmin-4.2.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-12-01 18:55:56 UTC
phpMyAdmin-4.2.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-12-01 18:58:12 UTC
phpMyAdmin-4.2.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-12-06 10:15:18 UTC
phpMyAdmin-4.2.12-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.